
package webservice;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Classe Java pour donnees complex type.
 * 
 * <p>Le fragment de schéma suivant indique le contenu attendu figurant dans cette classe.
 * 
 * <pre>
 * &lt;complexType name="donnees">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="bin" type="{http://WebService/}objet" minOccurs="0"/>
 *         &lt;element name="cheminFichier" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="heuristique" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *         &lt;element name="listeObjets" type="{http://WebService/}objet" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="nbreObjetsInseres" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="troisDimensions" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "donnees", propOrder = {
    "bin",
    "cheminFichier",
    "heuristique",
    "listeObjets",
    "nbreObjetsInseres",
    "troisDimensions"
})
public class Donnees {

    protected Objet bin;
    protected String cheminFichier;
    protected boolean heuristique;
    @XmlElement(nillable = true)
    protected List<Objet> listeObjets;
    protected int nbreObjetsInseres;
    protected boolean troisDimensions;

    /**
     * Obtient la valeur de la propriété bin.
     * 
     * @return
     *     possible object is
     *     {@link Objet }
     *     
     */
    public Objet getBin() {
        return bin;
    }

    /**
     * Définit la valeur de la propriété bin.
     * 
     * @param value
     *     allowed object is
     *     {@link Objet }
     *     
     */
    public void setBin(Objet value) {
        this.bin = value;
    }

    /**
     * Obtient la valeur de la propriété cheminFichier.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCheminFichier() {
        return cheminFichier;
    }

    /**
     * Définit la valeur de la propriété cheminFichier.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCheminFichier(String value) {
        this.cheminFichier = value;
    }

    /**
     * Obtient la valeur de la propriété heuristique.
     * 
     */
    public boolean isHeuristique() {
        return heuristique;
    }

    /**
     * Définit la valeur de la propriété heuristique.
     * 
     */
    public void setHeuristique(boolean value) {
        this.heuristique = value;
    }

    /**
     * Gets the value of the listeObjets property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the listeObjets property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getListeObjets().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Objet }
     * 
     * 
     */
    public List<Objet> getListeObjets() {
        if (listeObjets == null) {
            listeObjets = new ArrayList<Objet>();
        }
        return this.listeObjets;
    }

    /**
     * Obtient la valeur de la propriété nbreObjetsInseres.
     * 
     */
    public int getNbreObjetsInseres() {
        return nbreObjetsInseres;
    }

    /**
     * Définit la valeur de la propriété nbreObjetsInseres.
     * 
     */
    public void setNbreObjetsInseres(int value) {
        this.nbreObjetsInseres = value;
    }

    /**
     * Obtient la valeur de la propriété troisDimensions.
     * 
     */
    public boolean isTroisDimensions() {
        return troisDimensions;
    }

    /**
     * Définit la valeur de la propriété troisDimensions.
     * 
     */
    public void setTroisDimensions(boolean value) {
        this.troisDimensions = value;
    }

}
