
package webservice;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the webservice package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _IsCompleteThreadResponse_QNAME = new QName("http://WebService/", "isCompleteThreadResponse");
    private final static QName _GetData_QNAME = new QName("http://WebService/", "getData");
    private final static QName _IsCompleteThread_QNAME = new QName("http://WebService/", "isCompleteThread");
    private final static QName _ReadResult_QNAME = new QName("http://WebService/", "readResult");
    private final static QName _StartResponse_QNAME = new QName("http://WebService/", "startResponse");
    private final static QName _Start_QNAME = new QName("http://WebService/", "start");
    private final static QName _GetDataResponse_QNAME = new QName("http://WebService/", "getDataResponse");
    private final static QName _DataToBasicFile_QNAME = new QName("http://WebService/", "dataToBasicFile");
    private final static QName _DataToBasicFileResponse_QNAME = new QName("http://WebService/", "dataToBasicFileResponse");
    private final static QName _ReadResultResponse_QNAME = new QName("http://WebService/", "readResultResponse");
    private final static QName _GetDataFile_QNAME = new QName("", "file");
    private final static QName _DataToBasicFileResponseReturn_QNAME = new QName("", "return");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: webservice
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ReadResultResponse }
     * 
     */
    public ReadResultResponse createReadResultResponse() {
        return new ReadResultResponse();
    }

    /**
     * Create an instance of {@link DataToBasicFile }
     * 
     */
    public DataToBasicFile createDataToBasicFile() {
        return new DataToBasicFile();
    }

    /**
     * Create an instance of {@link DataToBasicFileResponse }
     * 
     */
    public DataToBasicFileResponse createDataToBasicFileResponse() {
        return new DataToBasicFileResponse();
    }

    /**
     * Create an instance of {@link GetDataResponse }
     * 
     */
    public GetDataResponse createGetDataResponse() {
        return new GetDataResponse();
    }

    /**
     * Create an instance of {@link Start }
     * 
     */
    public Start createStart() {
        return new Start();
    }

    /**
     * Create an instance of {@link StartResponse }
     * 
     */
    public StartResponse createStartResponse() {
        return new StartResponse();
    }

    /**
     * Create an instance of {@link ReadResult }
     * 
     */
    public ReadResult createReadResult() {
        return new ReadResult();
    }

    /**
     * Create an instance of {@link IsCompleteThread }
     * 
     */
    public IsCompleteThread createIsCompleteThread() {
        return new IsCompleteThread();
    }

    /**
     * Create an instance of {@link GetData }
     * 
     */
    public GetData createGetData() {
        return new GetData();
    }

    /**
     * Create an instance of {@link IsCompleteThreadResponse }
     * 
     */
    public IsCompleteThreadResponse createIsCompleteThreadResponse() {
        return new IsCompleteThreadResponse();
    }

    /**
     * Create an instance of {@link Donnees }
     * 
     */
    public Donnees createDonnees() {
        return new Donnees();
    }

    /**
     * Create an instance of {@link Objet }
     * 
     */
    public Objet createObjet() {
        return new Objet();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsCompleteThreadResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://WebService/", name = "isCompleteThreadResponse")
    public JAXBElement<IsCompleteThreadResponse> createIsCompleteThreadResponse(IsCompleteThreadResponse value) {
        return new JAXBElement<IsCompleteThreadResponse>(_IsCompleteThreadResponse_QNAME, IsCompleteThreadResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetData }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://WebService/", name = "getData")
    public JAXBElement<GetData> createGetData(GetData value) {
        return new JAXBElement<GetData>(_GetData_QNAME, GetData.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link IsCompleteThread }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://WebService/", name = "isCompleteThread")
    public JAXBElement<IsCompleteThread> createIsCompleteThread(IsCompleteThread value) {
        return new JAXBElement<IsCompleteThread>(_IsCompleteThread_QNAME, IsCompleteThread.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadResult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://WebService/", name = "readResult")
    public JAXBElement<ReadResult> createReadResult(ReadResult value) {
        return new JAXBElement<ReadResult>(_ReadResult_QNAME, ReadResult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link StartResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://WebService/", name = "startResponse")
    public JAXBElement<StartResponse> createStartResponse(StartResponse value) {
        return new JAXBElement<StartResponse>(_StartResponse_QNAME, StartResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Start }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://WebService/", name = "start")
    public JAXBElement<Start> createStart(Start value) {
        return new JAXBElement<Start>(_Start_QNAME, Start.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetDataResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://WebService/", name = "getDataResponse")
    public JAXBElement<GetDataResponse> createGetDataResponse(GetDataResponse value) {
        return new JAXBElement<GetDataResponse>(_GetDataResponse_QNAME, GetDataResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataToBasicFile }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://WebService/", name = "dataToBasicFile")
    public JAXBElement<DataToBasicFile> createDataToBasicFile(DataToBasicFile value) {
        return new JAXBElement<DataToBasicFile>(_DataToBasicFile_QNAME, DataToBasicFile.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DataToBasicFileResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://WebService/", name = "dataToBasicFileResponse")
    public JAXBElement<DataToBasicFileResponse> createDataToBasicFileResponse(DataToBasicFileResponse value) {
        return new JAXBElement<DataToBasicFileResponse>(_DataToBasicFileResponse_QNAME, DataToBasicFileResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ReadResultResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://WebService/", name = "readResultResponse")
    public JAXBElement<ReadResultResponse> createReadResultResponse(ReadResultResponse value) {
        return new JAXBElement<ReadResultResponse>(_ReadResultResponse_QNAME, ReadResultResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "file", scope = GetData.class)
    public JAXBElement<byte[]> createGetDataFile(byte[] value) {
        return new JAXBElement<byte[]>(_GetDataFile_QNAME, byte[].class, GetData.class, ((byte[]) value));
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link byte[]}{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "return", scope = DataToBasicFileResponse.class)
    public JAXBElement<byte[]> createDataToBasicFileResponseReturn(byte[] value) {
        return new JAXBElement<byte[]>(_DataToBasicFileResponseReturn_QNAME, byte[].class, DataToBasicFileResponse.class, ((byte[]) value));
    }

}
